Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core.component
Class AspectScaler

    java.lang.Object
      |
      +--java.awt.image.ImageFilter
            |
            +--com.sun.jimi.core.filters.ReplicatingScaleFilter
                  |
                  +--com.sun.jimi.core.component.AspectScaler

public class AspectScaler
extends ReplicatingScaleFilter

ReplicateScaleFilter extension for maintaining aspect ratio.

Field Summary
`protected int` | `fixedDimension`
`protected int` | `maxHeight`
`protected int` | `maxWidth`
`protected boolean` | `noScaling` set to true if the image is already sized correctly

Fields inherited from class com.sun.jimi.core.filters.ReplicatingScaleFilter
`destHeight, destWidth, outpixbuf, srccols, srcHeight, srcrows, srcWidth`

Fields inherited from class java.awt.image.ImageFilter
`consumer`

Constructor Summary
`AspectScaler(int width, int height)`

Method Summary
`void` | `setDimensions(int imageWidth, int imageHeight)`
`void` | `setPixels(int x, int y, int w, int h, java.awt.image.ColorModel model, byte[] pixels, int off, int scansize)`
`void` | `setPixels(int x, int y, int w, int h, java.awt.image.ColorModel model, int[] pixels, int off, int scansize)`

Methods inherited from class com.sun.jimi.core.filters.ReplicatingScaleFilter
`setProperties`

Methods inherited from class java.awt.image.ImageFilter
`clone, getFilterInstance, imageComplete, resendTopDownLeftRight, setColorModel, setHints`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fixedDimension

    protected int fixedDimension

### maxWidth

    protected int maxWidth

### maxHeight

    protected int maxHeight

### noScaling

    protected boolean noScaling

  set to true if the image is already sized correctly

Constructor Detail

### AspectScaler

    public AspectScaler(int width,
                        int height)

Method Detail

### setDimensions

    public void setDimensions(int imageWidth,
                              int imageHeight)

  Overrides:
    setDimensions in class ReplicatingScaleFilter

### setPixels

    public void setPixels(int x,
                          int y,
                          int w,
                          int h,
                          java.awt.image.ColorModel model,
                          byte[] pixels,
                          int off,
                          int scansize)

  Overrides:
    setPixels in class ReplicatingScaleFilter

### setPixels

    public void setPixels(int x,
                          int y,
                          int w,
                          int h,
                          java.awt.image.ColorModel model,
                          int[] pixels,
                          int off,
                          int scansize)

  Overrides:
    setPixels in class ReplicatingScaleFilter

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD